Package com.mckoi.database.procedure

## Class SystemBackup

- java.lang.Object
- - com.mckoi.database.procedure.SystemBackup

    public class SystemBackup
    extends java.lang.Object

A stored procedure that backs up the entire database to the given directory in the file system. Requires one parameter, the locate to back up the database to.

Author:
  Tobias Downer

### Constructor Summary

Constructors
`SystemBackup()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `invoke​(ProcedureConnection db_connection, java.lang.String path)` The stored procedure invokation method.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SystemBackup

    public SystemBackup()

### Method Detail

#### invoke

    public static java.lang.String invoke​(ProcedureConnection db_connection,
                                          java.lang.String path)

The stored procedure invokation method.